Bug 757866 - (kde-printer-applet) Review Request: kde-printer-applet - KDE printer applet
Review Request: kde-printer-applet - KDE printer applet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.8
  Show dependency treegraph
 
Reported: 2011-11-28 15:48 EST by Rex Dieter
Modified: 2012-01-14 20:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-14 20:38:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-11-28 15:48:33 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeutils/printer-applet.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdeutils/printer-applet-4.7.80-1.fc16.src.rpm
Description:
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors.


NOTES:
This is being split out in kde-4.7.80 from previously monolithic kdeutils
package.

Starting off here with upstream's 'printer-applet' name, but we probably want to use something less generic, perhaps kde-printer-applet.
Comment 2 Mattia Verga 2011-12-31 05:50:44 EST
I think the .desktop file should be renamed to respect the new package name for consistency (from 'printer-applet.desktop' to 'kde-printer-applet.desktop').

Also, the .spec file is missing the desktop-file-validate step.
Comment 3 Kevin Kofler 2011-12-31 11:42:13 EST
I don't think renaming the .desktop file makes sense.
Comment 4 Rex Dieter 2011-12-31 12:23:26 EST
I'll advocate renaming stuff away from being generic, but I'd also argue it's not something that should be considered a review blocker.
Comment 5 Rex Dieter 2011-12-31 12:23:50 EST
make that "being generic... *upstream*"
Comment 6 Kevin Kofler 2011-12-31 13:18:12 EST
Agreed, renaming things upstream would make a lot of sense, it's renaming the .desktop file downstream which I don't think is helpful.
Comment 7 Jaroslav Reznik 2012-01-13 12:51:00 EST
+1 to not renaming downstream

Name: ok (make sense to use less generic, upstream it?)
Summary: ok
Version: ok

License: ok
Url: ok
BRs: ok
Reqs: ok
Conflicts/Obsoletes/Provides: ok
Description: ok
Macros used consistently: ok
Docs: ok

Missing desktop-file-validate.

rpmlint kde-printer-applet-4.7.97-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 8 Jaroslav Reznik 2012-01-13 13:02:41 EST
Sources: ok (md5sum b66e859e551a10e09712217b1d160a95)

For desktop file validation - skip this step, it's autorun desktop file, not shown in Kickstart. I didn't realize it, sorry.

APPROVED
Comment 9 Rex Dieter 2012-01-13 13:05:04 EST
New Package SCM Request
=======================
Package Name: kde-printer-applet
Short Description: KDE Printer applet
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
InitialCC:
Comment 10 Jon Ciesla 2012-01-13 13:35:32 EST
Git done (by process-git-requests).
Comment 11 Rex Dieter 2012-01-14 20:38:54 EST
imported.

Note You need to log in before you can comment on or make changes to this bug.